Name:                hawtbuf
Version:             1.11
Release:             2
Summary:             A rich byte buffer library
License:             ASL 2.0
URL:                 https://github.com/fusesource/hawtbuf/
Source0:             https://github.com/fusesource/hawtbuf/archive/%{name}-project-%{version}.tar.gz
BuildRequires:       maven-local mvn(commons-logging:commons-logging) mvn(junit:junit)
BuildRequires:       mvn(log4j:log4j:1.2.17) mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:       mvn(org.apache.maven:maven-plugin-api) mvn(org.apache.maven:maven-project)
BuildRequires:       mvn(org.apache.maven.plugins:maven-invoker-plugin)
BuildRequires:       mvn(org.apache.maven.plugins:maven-plugin-plugin)
BuildRequires:       mvn(org.apache.maven.shared:maven-shared-components:pom:)
BuildRequires:       mvn(org.codehaus.mojo:javacc-maven-plugin)
BuildRequires:       mvn(org.fusesource:fusesource-pom:pom:)
BuildArch:           noarch
%description
This library implements a simple interface with working with
byte arrays. It is a shame that the Java SDK did not come with
a built in class that was just simply a byte[], int offset,
int length class which provided a rich interface similar to
what the String class does for char arrays. This library
fills in that void by providing a Buffer class which does provide
that rich interface.

%package proto
Summary:             A protobuf library
%description proto
HawtBuf Proto: A protobuf library.

%package protoc
Summary:             A protobuf compiler as a maven plugin
%description protoc
HawtBuf Protoc: A protobuf compiler as a maven plugin.

%package javadoc
Summary:             Javadoc for %{name}
%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{name}-project-%{version}
%pom_remove_plugin :maven-assembly-plugin
%pom_xpath_set "pom:properties/pom:log4j-version" 1.2.17
%pom_xpath_remove pom:Private-Package
%mvn_package ":%{name}-project" %{name}

%build
%mvn_build -s

%install
%mvn_install

%files -f .mfiles-%{name}
%doc readme.md
%license license.txt notice.md

%files proto -f .mfiles-%{name}-proto
%doc %{name}-proto/readme.md
%license license.txt notice.md

%files protoc -f .mfiles-%{name}-protoc
%doc %{name}-protoc/readme.md
%license license.txt notice.md

%files javadoc -f .mfiles-javadoc
%license license.txt notice.md

%changelog
* Mon Feb 14 2022 wangkai <wangkai385@huawei.com> - 1.11-2
- Rebuild for fix log4j1.x cves

* Sat Aug 15 2020 Ge Wang <wangge20@huawei.com> - 1.11-1
- Package init
